function [paper_sizecm] = Printer_subplot_Mig(subpl_relpos,subpl_sizecm)

%supl_relpos is a matrix rows number of suplots, columns fraction positions
%of the subplot respect to the papersize (set as one)
set(gcf,'PaperUnits','centimeters'); 
set(gcf,'Units','centimeters')
set(gca,'Units','centimeters')

papwidth=1/subpl_relpos(1,3)*subpl_sizecm(1);
paplength=1/subpl_relpos(1,4)*subpl_sizecm(2);
set(gcf,'Position',[10 10 papwidth paplength])
paper_sizecm=[0 0 papwidth paplength];


%% Example of calling the function 
% % % h(4)=figure;
% % % subpl_relpos(1,:)=[1/5 2/6 3/5 3/6];
% % % subpl_relpos(2,:)=[1/5 1/6 3/5 1/6];
% % % %size of first subplot's plotbox in cm []
% % % subpl_sizecm=[7 7];
% % % %size of the paper in cm calculated from function
% % % set(gcf, 'PaperPosition', Printer_subplot_Mig(subpl_relpos,subpl_sizecm));
% % % 
% % % subplot('Position',subpl_relpos(1,:))
% % % image(I,'CDataMapping','scaled')
% % % set(gca,'FontSize',20)
% % % ylabel('asdhl')
% % % 
% % % subplot('Position',subpl_relpos(2,:))
% % % plot(x,y)
% % % set(gca,'FontSize',20)
% % % axis tight
% % % ylabel('asdhl')
% % % xlabel('asdhl')
% % % 
% % % print(h(4),'-dtiff','-r300',[savepath 'Image4'])
